package ru.dbotthepony.kstarbound.client.render.entity

import ru.dbotthepony.kstarbound.client.world.ClientChunk
import ru.dbotthepony.kstarbound.client.StarboundClient
import ru.dbotthepony.kstarbound.world.entities.ItemEntity
import ru.dbotthepony.kvector.arrays.Matrix4fStack

class ItemRenderer(client: StarboundClient, entity: ItemEntity, chunk: ClientChunk?) : EntityRenderer(client, entity, chunk) {
	private val def = entity.def
	private val textures = def.inventoryIcon?.stream()?.map { it.image }?.toList() ?: listOf()

	override fun render(stack: Matrix4fStack) {
		//client.programs.positionTexture.use()
		//client.programs.positionTexture.texture0 = 0

		//for (texture in textures) {
		//	client.textures2D[0] = texture.image?.texture ?: continue
		//}

		entity.hitboxes.forEach { it.render(client) }
	}
}
