package ru.dbotthepony.kstarbound.world.entities

import ru.dbotthepony.kbox2d.api.ContactImpulse
import ru.dbotthepony.kbox2d.api.FixtureDef
import ru.dbotthepony.kbox2d.api.Manifold
import ru.dbotthepony.kbox2d.collision.shapes.PolygonShape
import ru.dbotthepony.kbox2d.dynamics.contact.AbstractContact
import ru.dbotthepony.kstarbound.client.StarboundClient
import ru.dbotthepony.kstarbound.defs.item.api.IItemDefinition
import ru.dbotthepony.kstarbound.world.World
import ru.dbotthepony.kstarbound.world.physics.Poly
import ru.dbotthepony.kvector.util2d.AABB
import ru.dbotthepony.kvector.vector.Vector2d

class ItemEntity(world: World<*, *>, val def: IItemDefinition) : Entity(world) {
	init {
		hitboxes.add(Poly(AABB.rectangle(Vector2d.ZERO, 0.75, 0.75)))
	}

	override fun thinkInner() {
		// TODO: деспавнинг?
		// просто, как бы, предметы не должны уж так сильно нагружать процессор
	}
}
